% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/layer-custom.R
\docType{class}
\name{KerasLayer}
\alias{KerasLayer}
\title{Base R6 class for Keras layers}
\format{An \link{R6Class} generator object #'}
\usage{
KerasLayer
}
\value{
\link{KerasLayer}.
}
\description{
Base R6 class for Keras layers
}
\section{Methods}{
 \describe{ \item{\code{build(input_shape)}}{Creates the
layer weights (must be implemented by all layers that have weights)}
\item{\code{call(inputs,mask)}}{Call the layer on an input tensor.}
\item{\code{compute_output_shape(input_shape)}}{Compute the output shape
for the layer.}
\item{\code{add_weight(name,shape,dtype,initializer,regularizer,trainable,constraint)}}{Adds
a weight variable to the layer.} }
}

\keyword{datasets}
